/*
 * EditionsFinancementsNib.java
 *
 * Created on 19 Juillet 2013
 */

package org.cocktail.corossol.client.nib;

import java.awt.Dimension;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.ListSelectionModel;

import org.cocktail.application.palette.JPanelCocktail;
import org.cocktail.application.palette.models.ColumnData;
import org.cocktail.application.palette.models.NSMutableArrayDisplayGroup;
import org.cocktail.corossol.client.nibctrl.DocumentEditions;
import org.cocktail.corossol.client.nibctrl.JtableViewObjects;

import com.webobjects.foundation.NSMutableArray;
import javax.swing.JComboBox;
import javax.swing.JTextField;
import org.cocktail.application.palette.JButtonCocktail;

public class EditionsFinancementsNib extends JPanelCocktail {
    
    /** Creates new form ActifNibnb */
    public EditionsFinancementsNib() {
        initComponents();
    }

	private JtableViewObjects editionsTBV = null;
	public JtableViewObjects getEditionsTBV() {
		return editionsTBV;
	}
	public void setEditionsTBV(JtableViewObjects editionsTBV) {
		this.editionsTBV = editionsTBV;
	}

	private NSMutableArrayDisplayGroup editionsDG = new NSMutableArrayDisplayGroup();
    public NSMutableArrayDisplayGroup getEditionsDG() {
		return editionsDG;
	}
	public void setEditionsDG(NSMutableArrayDisplayGroup editionsDG) {
		this.editionsDG.setArray(editionsDG);
		getEditionsTBV().refresh();
	}

	public void initTableView() {
		NSMutableArray lesColumns = new NSMutableArray();
		lesColumns.addObject(new ColumnData("xls", 50,JLabel.CENTER, "isXls", "String"));
		lesColumns.addObject(new ColumnData("pdf", 50,JLabel.CENTER, "isPdf", "String"));
		lesColumns.addObject(new ColumnData("Description", 700,JLabel.CENTER, "description", "String"));

		setEditionsTBV(new JtableViewObjects(lesColumns, getEditionsDG(),new Dimension(100, 100), JTable.AUTO_RESIZE_NEXT_COLUMN));
		getJPanelTBV().add(getEditionsTBV());

		// multi ou mono selection dans les tbv
		getEditionsTBV().getTable().setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    }
    
	public DocumentEditions selectedDocument() {
		if (getEditionsTBV()==null || getEditionsTBV().getSelectedObjects().count()==0)
			return null;
		return (DocumentEditions)getEditionsTBV().getSelectedObjects().objectAtIndex(0);
	}
	
	public javax.swing.JPanel getJPanelTBV() {
		return jPanelTBV;
	}

	public void setJPanelTBV(javax.swing.JPanel panelTBV) {
		jPanelTBV = panelTBV;
	}

	public JButton getJButtonCocktailFermer() {
		return jButtonCocktailFermer;
	}

	public void setJButtonCocktailFermer(JButton buttonCocktailFermer) {
		jButtonCocktailFermer = buttonCocktailFermer;
	}

	public JButton getJButtonCocktailPdf() {
		return jButtonCocktailPdf;
	}

	public void setJButtonCocktailPdf(JButton buttonCocktailPdf) {
		jButtonCocktailPdf = buttonCocktailPdf;
	}

	public JButton getJButtonCocktailXls() {
		return jButtonCocktailXls;
	}

	public void setJButtonCocktailXls(JButton buttonCocktailXls) {
		jButtonCocktailXls = buttonCocktailXls;
	}

    public JComboBox getJComboBoxExercice() {
        return jComboBoxExercice;
    }

    public void setJComboBoxExercice(JComboBox jComboBoxExercice) {
        this.jComboBoxExercice = jComboBoxExercice;
    }

    public JTextField getJTextFieldImputation() {
        return jTextFieldImputation;
    }

    public void setJTextFieldImputation(JTextField jTextFieldImputation) {
        this.jTextFieldImputation = jTextFieldImputation;
    }

    public JTextField getJTextFieldUB() {
        return jTextFieldUB;
    }

    public void setJTextFieldUB(JTextField jTextFieldUB) {
        this.jTextFieldUB = jTextFieldUB;
    }

    public JButton getjButtonImprimerFinancement() {
        return jButtonImprimerFinancement;
    }

    public void setjButtonCocktailImprimerFinancement(JButton jButtonImprimerFinancement) {
        this.jButtonImprimerFinancement = jButtonImprimerFinancement;
    }

    public JButton getjButtonRechercherTitre() {
        return jButtonRechercherTitre;
    }

    public void setjButtonRechercherTitre(JButton jButtonRechercherTitre) {
        this.jButtonRechercherTitre = jButtonRechercherTitre;
    }

    public JTextField getjTextFieldNumTitre() {
        return jTextFieldNumTitre;
    }

    public void setjTextFieldNumTitre(JTextField jTextFieldNumTitre) {
        this.jTextFieldNumTitre = jTextFieldNumTitre;
    }
    
	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextFieldCocktail8 = new org.cocktail.application.palette.JTextFieldCocktail();
        jButtonCocktailFermer = new javax.swing.JButton();
        jButtonCocktailPdf = new javax.swing.JButton();
        jButtonCocktailXls = new javax.swing.JButton();
        jPanelTBV = new javax.swing.JPanel();
        jComboBoxExercice = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();
        jTextFieldUB = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldImputation = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jTextFieldNumTitre = new javax.swing.JTextField();
        jButtonRechercherTitre = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        jButtonImprimerFinancement = new javax.swing.JButton();

        jTextFieldCocktail8.setEditable(false);
        jTextFieldCocktail8.setBackground(new java.awt.Color(255, 0, 128));
        jTextFieldCocktail8.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextFieldCocktail8.setText("EDITIONS DES FINANCEMENTS");
        jTextFieldCocktail8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCocktail8ActionPerformed(evt);
            }
        });

        jButtonCocktailFermer.setText("Fermer");
        jButtonCocktailFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailFermerActionPerformed(evt);
            }
        });

        jButtonCocktailPdf.setText("Editions");
        jButtonCocktailPdf.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailPdfActionPerformed(evt);
            }
        });

        jButtonCocktailXls.setText("Export");
        jButtonCocktailXls.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailXlsActionPerformed(evt);
            }
        });

        jPanelTBV.setLayout(new javax.swing.BoxLayout(jPanelTBV, javax.swing.BoxLayout.LINE_AXIS));

        jComboBoxExercice.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel1.setText("UB :");

        jLabel2.setText("Compte Imputation : ");

        jButtonRechercherTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonRechercherTitreActionPerformed(evt);
            }
        });

        jLabel3.setText("Titre :");

        jButtonImprimerFinancement.setText("Imprimer fiche");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jSeparator1)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jComboBoxExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(18, 18, 18)
                                    .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jTextFieldUB, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 180, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(18, 18, 18)
                                    .add(jLabel2)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jTextFieldImputation))
                                .add(org.jdesktop.layout.GroupLayout.LEADING, jPanelTBV, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 664, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, jTextFieldCocktail8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 663, Short.MAX_VALUE)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 44, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jButtonRechercherTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 41, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(jTextFieldNumTitre))))
                        .add(34, 34, 34)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jButtonCocktailPdf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jButtonCocktailXls, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jButtonImprimerFinancement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jTextFieldCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailFermer))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(13, 13, 13)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jTextFieldNumTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jButtonRechercherTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 30, Short.MAX_VALUE)
                            .add(jLabel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButtonImprimerFinancement)))
                .add(18, 18, 18)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jComboBoxExercice, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(jTextFieldUB, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(jTextFieldImputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jButtonCocktailPdf)
                        .add(18, 18, 18)
                        .add(jButtonCocktailXls))
                    .add(jPanelTBV, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 222, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailPdfActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailPdfActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailPdfActionPerformed

    private void jButtonCocktailFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailFermerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonCocktailFermerActionPerformed

    private void jButtonCocktailXlsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailXlsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonCocktailXlsActionPerformed

    private void jTextFieldCocktail8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCocktail8ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldCocktail8ActionPerformed

    private void jButtonRechercherTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonRechercherTitreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonRechercherTitreActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonCocktailFermer;
    public javax.swing.JButton jButtonCocktailPdf;
    public javax.swing.JButton jButtonCocktailXls;
    public javax.swing.JButton jButtonImprimerFinancement;
    public javax.swing.JButton jButtonRechercherTitre;
    public javax.swing.JComboBox jComboBoxExercice;
    public javax.swing.JLabel jLabel1;
    public javax.swing.JLabel jLabel2;
    public javax.swing.JLabel jLabel3;
    public javax.swing.JPanel jPanelTBV;
    public javax.swing.JSeparator jSeparator1;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktail8;
    public javax.swing.JTextField jTextFieldImputation;
    public javax.swing.JTextField jTextFieldNumTitre;
    public javax.swing.JTextField jTextFieldUB;
    // End of variables declaration//GEN-END:variables
    
}
